:testx
1
0
-1
;**********************************************************************
;   (real,real) <---------> complex
;**********************************************************************
sing3 reel
sing3 imag
sing3 phase
sing3 radius
sing3 reel2
sing3 imag2
sing3 phase2
sing3 radius2

double3 reel_d
double3 imag_d
double3 phase_d
double3 radius_d
double3 reel2_d
double3 imag2_d
double3 phase2_d
double3 radius2_d

fcomp3 z
fcomp3 z2
fcomp3 zz
fcomp3 zz2

dcomp3 Z
dcomp3 Z2
dcomp3 ZZ
dcomp3 ZZ2

fpolaire3 p
fpolaire3 p2
fpolaire3 pp
fpolaire3 pp2

dpolaire3 P
dpolaire3 P2
dpolaire3 PP
dpolaire3 PP2

echo *************************************************************** \n
echo             Simple precision \n
echo *************************************************************** \n

const reel 1.2
const imag -2.58
echo mkcomplex reel imag z \n
mkcomplex reel imag z
echo partie reelle de depart : 
echof &reel(1,1,1)
echo \n
echo partie imaginaire de depart : 
echof &imag(1,1,1)
echo \n
echo partie reelle de z :  
echof &z(1,1,1)
echo \n
echo partie imaginaire de z :  
echof &z(1,1,1).i
echo \n
echo mkpolaire reel imag z2 \n
mkpolaire reel imag z2
echo partie reelle de z2 : 
echof &z2(1,1,1)
echo \n
echo partie imaginaire de z2 :  
echof &z2(1,1,1).i
echo \n
echo 1.2*cos(-2.58) = 
echof 1.2*cos(-2.58)
echo \n
echo 1.2*sin(-2.58) = 
echof 1.2*sin(-2.58)
echo \n
echo mkcomplex reel imag p \n
mkcomplex reel imag p
echo partie reelle de p : 
echof &p(1,1,1)
echo \n
echo partie imaginaire de p : 
echof &p(1,1,1).i
echo \n
mkpolaire reel imag p2
echo mkpolaire reel imag p2 \n
echo partie reelle de p2 : 
echof &p2(1,1,1)
echo \n
echo partie imaginaire de p2 : 
echof &p2(1,1,1).i
echo \n
echo \n

echo pp = 6.25 + 2.11*I \n
const_c pp 6.25 2.11
const_c zz 8 3.66
Real pp reel2
Imag pp imag2
phase pp reel
radius pp imag
echo partie reelle de pp = 
echof &reel2(1,1,1)
echo \n
echo partie imaginaire de pp = 
echof &imag2(1,1,1)
echo \n
echo phase de pp = 
echof t=&reel(1,1,1)
echo \n
echo module de pp = 
echof r=&imag(1,1,1)
echo \n
echo r*cos(t) = 
echof r*cos(t)
echo \n
echo r*sin(t) = 
echof r*sin(t)
echo \n
echo \n


echo *************************************************************** \n
echo             double precision \n
echo *************************************************************** \n

const reel_d 1.2
const imag_d -2.58
echo mkcomplex reel_d imag_d Z \n
mkcomplex reel_d imag_d Z
echo partie reelle de depart : 
echof &reel_d(1,1,1)
echo \n
echo partie imaginaire de depart : 
echof &imag_d(1,1,1)
echo \n
echo partie reelle de Z :  
echof &Z(1,1,1)
echo \n
echo partie imaginaire de Z :  
echof &Z(1,1,1).i
echo \n
echo mkpolaire reel_d imag_d Z2 \n
mkpolaire reel_d imag_d Z2
echo partie reelle de Z2 : 
echof &Z2(1,1,1)
echo \n
echo partie imaginaire de Z2 :  
echof &Z2(1,1,1).i
echo \n
echo 1.2*cos(-2.58) = 
echof 1.2*cos(-2.58)
echo \n
echo 1.2*sin(-2.58) = 
echof 1.2*sin(-2.58)
echo \n
echo mkcomplex reel_d imag_d P \n
mkcomplex reel_d imag_d P
echo partie reelle de P : 
echof &P(1,1,1)
echo \n
echo partie imaginaire de P : 
echof &P(1,1,1).i
echo \n
mkpolaire reel_d imag_d P2
echo mkpolaire reel_d imag_d P2 \n
echo partie reelle de P2 : 
echof &P2(1,1,1)
echo \n
echo partie imaginaire de P2 : 
echof &P2(1,1,1).i
echo \n
echo \n

echo PP = 6.25 + 2.11*I \n
const_c PP 6.25 2.11
const_c zz 8 3.66
Real PP reel2_d
Imag PP imag2_d
phase PP reel_d
radius PP imag_d
echo partie reelle de PP = 
echof &reel2_d(1,1,1)
echo \n
echo partie imaginaire de PP = 
echof &imag2_d(1,1,1)
echo \n
echo phase de PP = 
echof t=&reel_d(1,1,1)
echo \n
echo module de PP = 
echof r=&imag_d(1,1,1)
echo \n
echo r*cos(t) = 
echof r*cos(t)
echo \n
echo r*sin(t) = 
echof r*sin(t)
echo \n
echo \n


:testy
1
0
-1
;****************************************************************************
; (tab, tab) -----> tab
;****************************************************************************
int2 A_i
int2 B_i
int2 Res_i

sing3 A_f
sing3 B_f
sing3 Res_f

double3 A_d
double3 B_d
double3 Res_d

fcomp3 A_C
fcomp3 B_C
fcomp3 Res_C

dcomp3 A_dC
dcomp3 B_dC
dcomp3 Res_dC

fpolaire3 A_P
fpolaire3 B_P
fpolaire3 Res_P

dpolaire3 A_dP
dpolaire3 B_dP
dpolaire3 Res_dP

const A_i -2
const A_f -3.
const A_d -4.
const_c A_C 2. -1.
const_c A_dC -2.1 -3.1
const_c A_P 2.5 6.5
const_c A_dP -6.5 -2.2

const B_i -12
const B_f -13.
const B_d -14.
const_c B_C 2.5 -11.
const_c B_dC -12.1 -23.1
const_c B_P -12.5 60.5
const_c B_dP -16.5 20.2

add A_i B_i Res_i
add A_f B_f Res_f
add A_d B_d Res_d
add A_C B_C Res_C
add A_dC B_dC Res_dC
add A_P B_P Res_P
add A_dP B_dP Res_dP

echof &A_i(1,1)
echo +
echof &B_i(1,1)
echo =
echof &Res_i(1,1)
echo \n

echof &A_f(1,1,1)
echo +
echof &B_f(1,1,1)
echo =
echof &Res_f(1,1,1)
echo \n

echof &A_d(1,1,1)
echo +
echof &B_d(1,1,1)
echo =
echof &Res_d(1,1,1)
echo \n

echof &A_C(1,1,1)
echo +
echof &B_C(1,1,1)
echo =
echof &Res_C(1,1,1)
echo \n

echof &A_C(1,1,1).i
echo +
echof &B_C(1,1,1).i
echo =
echof &Res_C(1,1,1).i
echo \n

echof &A_dC(1,1,1)
echo +
echof &B_dC(1,1,1)
echo =
echof &Res_dC(1,1,1)
echo \n

echof &A_dC(1,1,1).i
echo +
echof &B_dC(1,1,1).i
echo =
echof &Res_dC(1,1,1).i
echo \n

echof &A_P(1,1,1)
echo +
echof &B_P(1,1,1)
echo =
echof &Res_P(1,1,1)
echo \n

echof &A_P(1,1,1).i
echo +
echof &B_P(1,1,1).i
echo =
echof &Res_P(1,1,1).i
echo \n

echof &A_dP(1,1,1)
echo +
echof &B_dP(1,1,1)
echo =
echof &Res_dP(1,1,1)
echo \n

echof &A_dP(1,1,1).i
echo +
echof &B_dP(1,1,1).i
echo =
echof &Res_dP(1,1,1).i
echo \n




substract A_i B_i Res_i
substract A_f B_f Res_f
substract A_d B_d Res_d
substract A_C B_C Res_C
substract A_dC B_dC Res_dC
substract A_P B_P Res_P
substract A_dP B_dP Res_dP

echof &A_i(1,1)
echo -
echof &B_i(1,1)
echo =
echof &Res_i(1,1)
echo \n

echof &A_f(1,1,1)
echo -
echof &B_f(1,1,1)
echo =
echof &Res_f(1,1,1)
echo \n

echof &A_d(1,1,1)
echo -
echof &B_d(1,1,1)
echo =
echof &Res_d(1,1,1)
echo \n

echof &A_C(1,1,1)
echo -
echof &B_C(1,1,1)
echo =
echof &Res_C(1,1,1)
echo \n

echof &A_C(1,1,1).i
echo -
echof &B_C(1,1,1).i
echo =
echof &Res_C(1,1,1).i
echo \n

echof &A_dC(1,1,1)
echo -
echof &B_dC(1,1,1)
echo =
echof &Res_dC(1,1,1)
echo \n

echof &A_dC(1,1,1).i
echo -
echof &B_dC(1,1,1).i
echo =
echof &Res_dC(1,1,1).i
echo \n

echof &A_P(1,1,1)
echo -
echof &B_P(1,1,1)
echo =
echof &Res_P(1,1,1)
echo \n

echof &A_P(1,1,1).i
echo -
echof &B_P(1,1,1).i
echo =
echof &Res_P(1,1,1).i
echo \n

echof &A_dP(1,1,1)
echo -
echof &B_dP(1,1,1)
echo =
echof &Res_dP(1,1,1)
echo \n

echof &A_dP(1,1,1).i
echo -
echof &B_dP(1,1,1).i
echo =
echof &Res_dP(1,1,1).i
echo \n







