;/*************************************************************************
;** interpcom-1.2 (command interpreter)                                   **
;** example.cmd : a sample program file for the application graph of the  **
;**               command interpreter                                     **
;**                                                                       **
;** Copyright (C) 1999  Jean-Marc Drezet                                  **
;**                                                                       **
;**  This library is free software; you can redistribute it and/or        **
;**  modify it under the terms of the GNU Library General Public          **
;**  License as published by the Free Software Foundation; either         **
;**  version 2 of the License, or (at your option) any later version.     **
;**									  **
;**  This library is distributed in the hope that it will be useful,      **
;**  but WITHOUT ANY WARRANTY; without even the implied warranty of       **
;**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU    **
;**  Library General Public License for more details. 			  **
;**									  **
;**  You should have received a copy of the GNU Library General Public    **
;**  License along with this library; if not, write to the Free		  **
;**  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.   **
;**                                                                       **
;** Please mail any bug reports/fixes/enhancements to me at:              **
;**      drezet@math.jussieu.fr                                           **
;** or                                                                    **
;**      Jean-Marc Drezet                                                 **
;**      Institut de Mathematiques                                        **
;**      Aile 45-55                                                       **
;**      2, place Jussieu                                                 **
;**      75251 Paris Cedex 05                                             **
;**      France								  **
;**                                                                       **
; *************************************************************************/
:example1
1
1
-1
defcolor red
color red 1 0 0
defgraph_X11 xxx 600 400 
setcolor xxx red
graphplot xxx 100 100
graphline xxx 100 300
graphline xxx 500 300
graphline xxx 500 100
graphline xxx 100 100
defcolor blue
color blue 0 0 1
setcolor xxx blue
graphplot xxx 150 150
graphline xxx 150 250
graphline xxx 450 250
graphline xxx 450 150
graphline xxx 150 150

defgraph_PS yyy example1.ps portrait 
graphplot yyy 100 100
graphline yyy 100 300
graphline yyy 500 300
graphline yyy 500 100
graphline yyy 100 100
setcolor yyy blue
graphplot yyy 150 150
graphline yyy 150 250
graphline yyy 450 250
graphline yyy 450 150
graphline yyy 150 150
;
destroy yyy
destroy red
destroy blue
;
;
;
;
:example2
1
0
-1
defcolor red
color red 1 0 0
defgraph_X11 zzz 600 400 
defframe f
frame f 0 2*pi -1 1 1 .2 
setframe zzz f
setcolor zzz red
graphplot_c zzz f 0 0
dt=pi/200
;
do i 0 400
t=i*dt
graphline_c zzz f t sin(t)
enddo
;
defcolor black
defgraph_PS ttt sin.ps portrait
setcolor ttt black
setclip 0.08 0.6 0.08 0.6
setframe ttt f
setcolor ttt red
graphplot_c ttt f 0 0
dt=pi/200
;
do i 0 400
t=i*dt
graphline_c ttt f t sin(t)
enddo
;
destroy red
destroy black
destroy ttt
destroy f
;
;
;
;
